//
//  GFTabBarController.m
//  高仿映客
//
//  Created by 纪高飞 on 17/5/15.
//  Copyright © 2017年 纪高飞. All rights reserved.
//

#import "GFTabBarController.h"
#import "GFNavigationController.h"
#import "HomeViewController.h"
#import "MineViewController.h"
#import "LiveViewController.h"
#import "GFTabBar.h"

@interface GFTabBarController ()

@end

@implementation GFTabBarController

- (void)viewDidLoad {
    [super viewDidLoad];
  
    // Do any additional setup after loading the view.
        [self setupChildVc:[[HomeViewController alloc] init] title:@"首页" image:@"tab_live" selectedImage:@"tab_live_p"];
    // [self setupChildVc:[[LiveViewController alloc] init] title:@"发现" image:@"tab_launch" selectedImage:@"tab_launch"];
      [self setupChildVc:[[MineViewController alloc] init] title:@"我的" image:@"tab_me" selectedImage:@"tab_me_p"];
    
    
    // 自定义tabBar ,用KVC 替换系统的tabbar
   GFTabBar *tabbar = [[GFTabBar alloc]init];
    
    // 利用KVC 修改系统的tabbar
    
    [self setValue:tabbar forKeyPath:@"tabBar"];
  
    
}

//初始化子控制器
- (void)setupChildVc:(UIViewController *)vc title:(NSString *)title image:(NSString *)image selectedImage:(NSString *)selectedImage {
    vc.tabBarItem.title = title;
    // 设置tabBar的字体颜色
    UIColor *titleHighlightedColor = [UIColor colorWithRed:50.0/255 green:160.0/255 blue:219.0/255 alpha:1];
    
    [[UITabBarItem appearance] setTitleTextAttributes:[NSDictionary dictionaryWithObjectsAndKeys:
                                                       titleHighlightedColor, NSForegroundColorAttributeName,
                                                       nil] forState:UIControlStateSelected];
    
    UIImage *img = [UIImage imageNamed:image];
    img = [img imageWithRenderingMode:UIImageRenderingModeAlwaysOriginal];
    
    vc.tabBarItem.image =img ;
    //设置不显示文字，将title的位置设置成无限远，就看不到了
   vc.tabBarItem.titlePositionAdjustment = UIOffsetMake(0, MAXFLOAT);
    UIImage *selImage = [UIImage imageNamed:selectedImage];
    selImage = [selImage imageWithRenderingMode:UIImageRenderingModeAlwaysOriginal];
    
    vc.tabBarItem.selectedImage = selImage;
GFNavigationController *nav = [[GFNavigationController alloc] initWithRootViewController:vc];
    
    [self addChildViewController:nav];
}





- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
